## AgsSwitchBufferFlag

AgsSwitchBufferFlag — switch buffer flag of device

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsSwitchBufferFlag * | ags_switch_buffer_flag_new ()

## Properties

GObject * | device | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsSwitchBufferFlag

## Includes

    #include <ags/audio/task/ags_switch_buffer_flag.h>

## Description

The AgsSwitchBufferFlag task switches the buffer flag of device.

## Functions

### ags_switch_buffer_flag_new ()

    AgsSwitchBufferFlag *
    ags_switch_buffer_flag_new (GObject *device);

Creates an AgsSwitchBufferFlag.

#### Parameters

device | the AgsSoundcard or AgsSequencer |

#### Returns

an new AgsSwitchBufferFlag.

Since: 3.0.0

## Property Details

### The `“device”` property

      “device”                   GObject *

The assigned AgsSoundcard or AgsSequencer

Owner: AgsSwitchBufferFlag

Flags: Read / Write

Since: 3.0.0